import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _INFocusStatus extends _NSObject {
    static alloc(): _INFocusStatus;
    static new(): _INFocusStatus;
    init(): _INFocusStatus;
    initWithIsFocused$(isFocused: _NSNumber | null): _INFocusStatus;
    isFocused(): _NSNumber;
}
export interface _INFocusStatus extends _NSCopying, _NSSecureCoding {
}
